#include<bits/stdc++.h>
#define ll long long
const int N=100010;
using namespace std;
int main()
{
	freopen("query.in","r",stdin);
	freopen("query.out","w",stdout);
	cout<<2<<endl<<2<<endl<<3;
	fclose(stdin);
	fclose(stdout);
	return 0;
}
